<template>
  <homepage v-if="homeType== 1"></homepage>
  <semshome v-else-if="homeType == 2"></semshome>
<!--  <homepage v-show="homeType== 1"></homepage>-->
<!--  <semshome v-show="homeType == 2"></semshome>-->
</template>

<script>
  import homepage from "./homepage";
  import semshome from "./sems/specanalysis/index";
  import '@/common/flexible.js';

  export default {
    data() {
      return {
        homeType: '',
      };
    },
    components: {
      homepage,
      semshome
    },
    mounted() {
      console.log(this.$store.state.user.homeType)
      this.homeType = this.$store.state.user.homeType
    },
  };
</script>

<style lang="scss" scoped>

</style>
